/*
    CTHUGHA-L 								keys.h
*/

#ifndef __KEYS_H__
#define __KEYS_H__

extern int key_esc;			/* disable/enable ESC-key */

int translate_key(int key);
int getkey();				/* get a key and return a code */

int main_key_switch(int key);

enum key_codes {
    Z_NOKEY	= 0,
    Z_ESC,
    Z_NOISE_DN,
    Z_NOISE_UP,	 
    Z_PLUS,
    Z_MINUS,

    Z_WAVE,		Z_WAVE_R,
    Z_FLAME,		Z_FLAME_R,
    Z_FLAME_GENERAL,
    Z_PALETTE,		Z_PALETTE_R,
    Z_SPACE,	
    Z_DISPLAY,		Z_DISPLAY_R,
    Z_MASSAGE,		Z_MASSAGE_R,
    Z_LOCK,	 
    Z_TABLE,		Z_TABLE_R,
    Z_NEWWAVE,

    Z_STEREO, 	
    Z_TRANSLATE, 	Z_TRANSLATE_R,
    Z_FFT,		 
    Z_PCX,		Z_PCX_R,
    Z_INFORMATION,	
    Z_UP,	
    Z_DOWN,	
    Z_ENTER,	
    Z_ADDINI,	
    Z_CD,		
    Z_CD_NEXT,	
    Z_CD_PREV,	
    Z_CD_STOP,	
    Z_CD_PAUSE,	
    Z_CD_EJECT,	
    Z_CD_FWD,	
    Z_CD_REV,	
    Z_PGUP,	
    Z_PGDN,	
    Z_HOME,	
    Z_END,		
    Z_RIGHT,
    Z_LEFT,
    Z_REQUEST_NET,	
    
    Z_DISPOPTION,	 
    Z_WAVEOPTION,	 
    Z_FLAMEOPTION,	 
    Z_TRANSOPTION,	
    Z_PALOPTION,	
    Z_PCXOPTION,	

    Z_HELP,	
    Z_VERSION,	 
    Z_SCREEN_DUMP,	  

    Z_OPTIONS,
    
    Z_OTHERKEY,	
};

#define Z_SAMPLE_UP	Z_PLUS	
#define Z_SAMPLE_DN	Z_MINUS	

#define Z_KEY1 Z_HELP
#define Z_KEY2 Z_CD_EJECT
#define Z_KEY3 Z_WAVEOPTION
#define Z_KEY4 Z_CD_REV
#define Z_KEY5 Z_CD_STOP
#define Z_KEY6 Z_CD_FWD
#define Z_KEY7 Z_CD_PREV
#define Z_KEY8 Z_CD_PAUSE
#define Z_KEY9 Z_CD_PAUSE

#endif
